--------------- Begin Copyright - Do not add comments here --------------
--
-- Licensed Materials - Property of IBM
--
-- Restricted Materials of IBM
--
-- Virtual Member Manager
--
-- Copyright IBM Corp. 2005, 2010
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
----------------------------- End Copyright -----------------------------
CREATE TABLESPACE @TSPREFIX@TS020 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;
	
CREATE TABLE @dbschema.@LAENTITY (
	ENTITY_ID		DECIMAL(19) NOT NULL,
	ENTITY_TYPE		VARCHAR(36) NOT NULL,
	EXT_ID			VARCHAR(200) NOT NULL,
	FULL_EXT_ID		VARCHAR(1000) NOT NULL,
	REPOS_ID		CHAR(36) NOT NULL,
	CONSTRAINT PK020 PRIMARY KEY (ENTITY_ID)
)IN @DbName@.@TSPREFIX@TS020;

CREATE UNIQUE INDEX @dbschema.@IXWIM200PK ON @dbschema.@LAENTITY (ENTITY_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAENTITY
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS021 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAKEYS (
	KEYS_ID			INTEGER NOT NULL,
	TABLENAME		VARCHAR(256) NOT NULL,
	COLUMNNAME		VARCHAR(18) NOT NULL,
	COUNTER			DECIMAL(19)NOT NULL,
	PREFETCH_SIZE		DECIMAL(19) DEFAULT 20, 
	LOWER_BOUND		DECIMAL(19) DEFAULT 0, 
	UPPER_BOUND 		DECIMAL(19) DEFAULT 2147483648, 
	CONSTRAINT PK021 PRIMARY KEY (KEYS_ID)
)IN @DbName@.@TSPREFIX@TS021;

CREATE UNIQUE INDEX @dbschema.@IXWIM210PK ON @dbschema.@LAKEYS (KEYS_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAKEYS
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS022 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAPROP (
	PROP_ID			INTEGER NOT NULL,
	NAME			VARCHAR(200) NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	META_NAME		VARCHAR(36) DEFAULT 'DEFAULT' NOT NULL,
	IS_COMPOSITE		INTEGER DEFAULT 0, 
	VALUE_LENGTH		INTEGER,
	READ_ONLY		INTEGER DEFAULT 0, 
	MULTI_VALUED		INTEGER DEFAULT 1, 
	CASE_EXACT_MATCH	INTEGER DEFAULT 1, 
	CLASSNAME		VARCHAR(512),
	DESCRIPTION		VARCHAR(512),
	APPLICATION_ID		VARCHAR(254) DEFAULT 'com.ibm.websphere.wim' NOT NULL,
	CONSTRAINT PK022 PRIMARY KEY (PROP_ID)
)IN @DbName@.@TSPREFIX@TS022;

CREATE UNIQUE INDEX @dbschema.@IXWIM220PK ON @dbschema.@LAPROP (PROP_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS023 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAPROPTYPE (
	TYPE_ID			CHAR(16) NOT NULL,
	DESCRIPTION		VARCHAR(254),
	CONSTRAINT PK023 PRIMARY KEY (TYPE_ID)
)IN @DbName@.@TSPREFIX@TS023;

CREATE UNIQUE INDEX @dbschema.@IXWIM230PK ON @dbschema.@LAPROPTYPE (TYPE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAPROPTYPE
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS024 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAPROPENT (
	PROP_ID			INTEGER	NOT NULL,
	APPLICABLE_ENTTYPE	VARCHAR(36) NOT NULL,
	REQUIRED_ENTTYPE	INTEGER DEFAULT 0 NOT NULL,
	CONSTRAINT PK024 PRIMARY KEY (PROP_ID, APPLICABLE_ENTTYPE)
)IN @DbName@.@TSPREFIX@TS024;

CREATE UNIQUE INDEX @dbschema.@IXWIM240PK ON @dbschema.@LAPROPENT (PROP_ID, APPLICABLE_ENTTYPE);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAPROPENT
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS025 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LALONGPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		DECIMAL(19),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK025 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS025;

CREATE UNIQUE INDEX @dbschema.@IXWIM250PK ON @dbschema.@LALONGPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LALONGPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS026 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LABLOBPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		BLOB(10000000),
	ROW_ID ROWID NOT NULL GENERATED ALWAYS,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK026 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS026;

CREATE UNIQUE INDEX @dbschema.@IXWIM260PK ON @dbschema.@LABLOBPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LABLOBPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE LOB TABLESPACE @TSPREFIX@TS126 IN @DbName@
	BUFFERPOOL @LOB_TABLE@;

CREATE AUX TABLE @dbschema.@LABLOB
IN @DbName@.@TSPREFIX@TS126
STORES @dbschema.@LABLOBPROP COLUMN PROPVALUE;

CREATE UNIQUE INDEX @dbschema.@IXWIM261PK ON @dbschema.@LABLOB
	BUFFERPOOL @INDEX_TABLE@;
	


CREATE TABLESPACE @TSPREFIX@TS027 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LADBLPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		DOUBLE,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK027 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS027;

CREATE UNIQUE INDEX @dbschema.@IXWIM270PK ON @dbschema.@LADBLPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LADBLPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS028 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAINTPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		INTEGER,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK028 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS028;

CREATE UNIQUE INDEX @dbschema.@IXWIM280PK ON @dbschema.@LAINTPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAINTPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS029 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LAREFPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	REF_UNAME_KEY		VARCHAR(236) NOT NULL,
	REF_UNAME		VARCHAR(1000) NOT NULL,
	REF_EXT_ID		VARCHAR(200) NOT NULL,
	REF_FULL_EXT_ID		VARCHAR(1000) NOT NULL,
	REF_REPOS_ID		CHAR(36) NOT NULL,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK029 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS029;

CREATE UNIQUE INDEX @dbschema.@IXWIM290PK ON @dbschema.@LAREFPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LAREFPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS030 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LASTRPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		VARCHAR(1500),
	VALUE_KEY		VARCHAR(1500),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK030 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS030;

CREATE UNIQUE INDEX @dbschema.@IXWIM300PK ON @dbschema.@LASTRPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LASTRPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS031 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LATSPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	TYPE_ID			CHAR(16) NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE		DECIMAL(19),
	PROPVALUE		TIMESTAMP,
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK031 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS031;

CREATE UNIQUE INDEX @dbschema.@IXWIM310PK ON @dbschema.@LATSPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LATSPROP
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS032 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LACOMPREL (
	COMPOSITE_ID		INTEGER NOT NULL,
	COMPONENT_ID		INTEGER NOT NULL,
	IS_REQUIRED		INTEGER DEFAULT 0 NOT NULL,
	IS_KEY			INTEGER DEFAULT 0 NOT NULL,
	CONSTRAINT PK032 PRIMARY KEY (COMPOSITE_ID, COMPONENT_ID)
)IN @DbName@.@TSPREFIX@TS032;

CREATE UNIQUE INDEX @dbschema.@IXWIM320PK ON @dbschema.@LACOMPREL (COMPOSITE_ID, COMPONENT_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LACOMPREL
	TO PUBLIC AT ALL LOCATIONS;



CREATE TABLESPACE @TSPREFIX@TS033 IN @DbName@
	LOCKSIZE ROW
	SEGSIZE 32
	PCTFREE 15
	BUFFERPOOL @DEFAULT_TABLE@;

CREATE TABLE @dbschema.@LACOMPPROP (
	VALUE_ID		DECIMAL(19) NOT NULL,
	PROP_ID			INTEGER NOT NULL,
	ENTITY_ID		DECIMAL(19) NOT NULL,
	COMPOSITE_ID		DECIMAL(19),
	META_VALUE		VARCHAR(36),
	CONSTRAINT PK033 PRIMARY KEY (VALUE_ID)
)IN @DbName@.@TSPREFIX@TS033;

CREATE UNIQUE INDEX @dbschema.@IXWIM330PK ON @dbschema.@LACOMPPROP (VALUE_ID);

GRANT DELETE, INSERT, SELECT, UPDATE ON TABLE @dbschema.@LACOMPPROP
	TO PUBLIC AT ALL LOCATIONS;


